%global momorel 12
%global scimver 1.4.9
%global skimver 1.4.4
%global skimrel 0.20060301.16m
%global libhangulver 0.0.9
%global artsver 1.5.10
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global scim_major_version 1.4.0

Summary: Hangul Input Method Engine for SCIM
Name: scim-hangul
Version: 0.3.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.scim-im.org/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.3.2-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
Requires: libhangul >= %{libhangulver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: libhangul-devel >= %{libhangulver}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase3 >= %{kdever}-%{kdebaserel}
BuildRequires: skim-devel >= %{skimver}-%{skimrel}
BuildRequires: coreutils

%description
Scim-hangul is a SCIM IMEngine module for Korean (Hangul) input support.

%package -n skim-%{name}
Summary: skim-scim-hangul is a scim-hangul settings plugin for SKIM
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: skim >= %{skimver}

%description -n skim-%{name}
skim-scim-hangul is a scim-hangul settings plugin for SKIM.

%prep
%setup -q

# build fix
touch skim/setupui/skimeditshortcutbutton.h

%patch0 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath \
	--disable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/{IMEngine,SetupUI}/hangul*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README*
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/hangul.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/hangul-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/scim/hangul
%{_datadir}/scim/icons/%{name}.png

%files -n skim-%{name}
%defattr(-,root,root)
%doc skim/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS}
%{_libdir}/kde3/kcm_skimplugin_scim_hangul.la
%{_libdir}/kde3/kcm_skimplugin_scim_hangul.so
%{_datadir}/apps/skim/pics/%{name}.png
%{_datadir}/config.kcfg/scim_hangul.kcfg
%{_datadir}/locale/*/LC_MESSAGES/skim-%{name}.mo
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_hangul_config.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-12m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-11m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2-10m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-9m)
- change BuildRequires: skim to skim-devel

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2-8m)
- rebuild against rpm-4.6

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-5m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.2-4m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Jan  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- version 0.3.2

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- initial package for Momonga Linux
